Bug 477920 - Charset conversion for Russian translation is broken by .spec file
Charset conversion for Russian translation is broken by .spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
http://bugzilla.russianfedora.ru/show...
:
: 542404 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 08:24 EST by Andrew Martynov
Modified: 2009-11-30 23:34 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.2.0-29.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correct ru.po file charset conversion (686 bytes, patch)
2008-12-25 08:28 EST, Andrew Martynov
no flags Details | Diff

  None (edit)
Description Andrew Martynov 2008-12-25 08:24:05 EST
Description of problem:
GUI for application is shown incorrectly due to encoding convertion.

Version-Release number of selected component (if applicable):
grip-3.2.0-23.fc10

How reproducible:
Always

Steps to Reproduce:
1. run "LANG=ru_RU.UTF-8 grip"
2. run "LANG=C grip" to see English variants of menu and etc
3.
  
Actual results:
Russian strings is broken

Expected results:
Correct view of menu and ether GUI elements

Additional info:
Russian .po file is shipped in "koi8-r' encoding but script in .spec file made wrong convertion from iso-8859-1 charset to utf8 and did not change metadata header.

I can see 2 ways for correct this:
- put ru.po file as original, so we need to remove "ru.po" from line
  "for i in es.po pt_BR.po ru.po; do"
- (preffered) convert ru.po correctly and change metadata header, see patch attached

Andrew
Comment 1 Andrew Martynov 2008-12-25 08:28:07 EST
Created attachment 327836 [details]
Correct ru.po file charset conversion

- Made correct charset conversion from koi8-r to utf-8
- Change ru.po header to setup "utf-8" charset
Comment 2 Bug Zapper 2009-11-18 05:33:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andrew Martynov 2009-11-18 06:04:34 EST
This bug still appear in F12

grip-3.2.0-28.fc12.x86_64
Comment 4 Adrian Reber 2009-11-18 06:40:23 EST
I am sorry. I totally forgot about this bug. Will fix it in the next few days.
Comment 5 Fedora Update System 2009-11-19 05:40:54 EST
grip-3.2.0-29.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/grip-3.2.0-29.fc12
Comment 6 Fedora Update System 2009-11-20 00:21:31 EST
grip-3.2.0-29.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11762
Comment 7 Adrian Reber 2009-11-29 13:19:43 EST
*** Bug 542404 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2009-11-30 23:34:14 EST
grip-3.2.0-29.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.